### Function

# Gimp get_pdb

#### Declaration [src]

    GimpPDB*
    gimp_get_pdb (
      void
    )

#### Description [src]

This function returns the plug-in’s `GimpPDB` instance, which is a singleton that can exist exactly once per running plug-in.

Available since: | 3.0

#### Return value

Returns: | `GimpPDB`
| The plug-in’s `GimpPDB` singleton.
| The data is owned by the called function.
| The return value can be `NULL`.